---
- name: Deploy BGP Config
  hosts: routers, cloud, localhost
  gather_facts: false
  vars_files:
    - vars/git.yml
    
  tasks:
    - name: Clone a Repo to EE 
      ansible.builtin.shell:
        cmd: "{{ git_clone }}"
        chdir: /tmp/
      when: inventory_hostname == 'localhost'

    - name: Change to branch
      ansible.builtin.shell:
        cmd: git checkout {{ scm_branch }}
        chdir: /tmp/student-repo
      when: inventory_hostname == 'localhost'  

    - name: Network BGP Manager
      ansible.builtin.include_role:
        name: network.bgp.run
      vars:
        actions:
          - name: deploy
        data_store:
          local: "/tmp/student-repo/day2/3-institutionalized/6-automated-netops-validation/"
      when: inventory_hostname != 'localhost'

    - name: Prepare GIT on EE for Credentials(vars/vault.yml)
      ansible.builtin.shell:
          cmd: "{{ item }}"
          chdir: /tmp/student-repo/
      when: inventory_hostname == 'localhost'
      loop:
          - "{{ git_username }}"
          - "{{ git_email }}"
          - "{{ git_add }}"
          - "{{ git_commit }}"

    - name: Push and Hide Token
      ansible.builtin.shell:
          cmd: "{{ git_push }}"
          chdir: /tmp/student-repo/
      when: inventory_hostname == 'localhost'
      no_log: true